﻿Type=Service
Version=5.2
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	Dim SQL1 As SQL
	
	Dim CurrentIndex = -1 As Int		' index of the current entry
	Dim RowNumber = 0 As Int				' number of rows
	Dim ColNumber = 4 As Int				' number of columns
	
	Dim IDList As List		' list containing the IDs of the database				
	' we need it because the IDs can be different from the list indexes
	' if we delete an entry its ID is lost
End Sub

Sub Service_Create
	 File.Delete(File.DirInternal, "persons.db") ' only for testing, removes the database
	
	'check if the database already exists
	If File.Exists(File.DirInternal, "persons.db") = False Then
		'copy the default DB
		File.Copy(File.DirAssets, "persons.db", File.DirInternal, "persons.db")
		'if not, initialize it 
		SQL1.Initialize(File.DirInternal, "persons.db", True)
		'and create it
		'CreateDataBase
		'copy the default DB
		File.Copy(File.DirAssets, "persons.db", File.DirInternal, "persons.db")
	Else
		'if yes, initialize it
		SQL1.Initialize(File.DirInternal, "persons.db", True)
	End If
End Sub

Sub Service_Start (StartingIntent As Intent)

End Sub

Sub Service_Destroy

End Sub
